from gwpy.frequencyseries import FrequencySeries
from backscattering_analyzer.package.packagesection import (
    PackageSection,
)
from backscattering_analyzer.package.metadata.measurement import (
    Measurement as Metadata,
)
from backscattering_analyzer.package.mirror import Mirror
from backscattering_analyzer.package.bench import Bench


class Measurement(PackageSection):
    def __init__(
        self,
        metadata: Metadata,
        sensitivity: FrequencySeries,
        mirrors: list[Mirror],
        benches: list[Bench],
    ):
        self.metadata = metadata
        self.sensitivity = sensitivity
        self.mirrors = mirrors
        self.benches = benches
